Name: chess
Version: 5.06
Release: alt1

%define real_name gnu%name

Summary: The GNU chess program
License: GPL
Group: Games/Boards

Source: ftp://ftp.gnu.org/gnu/chess/%real_name-%version.tar.bz2
Source1: %real_name
Source2: %real_name.xpm
Source3: book_1.00.pgn.bz2

Patch: chess-hack0.patch

Provides: %real_name = %version
Obsoletes: %real_name

# Automatically added by buildreq on Fri Sep 12 2003
BuildRequires: libncurses-devel libreadline-devel

%description
The gnuchess package contains the GNU chess program.  By default, GNUchess
uses a curses text-based interface.  Alternatively, GNUchess can be used
in conjunction with the xboard user interface and the X Window System for
a graphical chessboard.

You should install the gnuchess package if you would like to play chess on
your computer.  You'll also need to install the curses package.  If you'd
like to use a graphical interface with GNUchess, you'll also need to
install the xboard package and the X Window System.

%prep
%setup -q -n %real_name-%version
%patch -p1

%build
%configure
%make_build

#compile book
(cd src
bzcat %SOURCE3 >book.pgn
cat >commands<<EOF
book add book.pgn
quit
EOF
cat commands|./%real_name
)

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
cd src
%makeinstall

install -pm 755 -d $RPM_BUILD_ROOT%_menudir
install -pm 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir
install -d -m 755 $RPM_BUILD_ROOT%_iconsdir
install -pm644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/

install -pm755 gnuchessx $RPM_BUILD_ROOT%_bindir

install -d $RPM_BUILD_ROOT%_gamesdatadir/%real_name
install -pm644 book.dat $RPM_BUILD_ROOT%_gamesdatadir/%real_name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_iconsdir/*.xpm
%_menudir/*
%_datadir/games/%real_name

%changelog
* Fri Sep 12 2003 Stanislav Ievlev <inger@altlinux.ru> 5.06-alt1
- 5.06

* Fri Feb 28 2003 Stanislav Ievlev <inger@altlinux.ru> 5.05-alt1
- 5.05
- added book into distribution again

* Tue Feb 04 2003 Stanislav Ievlev <inger@altlinux.ru> 5.04-alt4
- fix menu entry (needs text)

* Tue Oct 15 2002 Stanislav Ievlev <inger@altlinux.ru> 5.04-alt3
- fixed paths

* Tue Sep 17 2002 Stanislav Ievlev <inger@altlinux.ru> 5.04-alt2
- rebuild with gcc3

* Thu Apr 05 2001 Stanislav Ievlev <inger@altlinux.ru> 5.02-alt1
- Upgrade to 5.02. Hack to make program workable.

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE

* Sat Sep 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 4.0.p180-5mdk
- BM
- macro's
- compress & strip files with spec helper
- use update_menus and clean_menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.pl80-4mdk
- automatically added BuildRequires

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-3mdk
- added menu files

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-2mdk
- changes in spec file for groups
- considered upgrading to version 5.00 (now renamed to chess-5.00)
- but this would have taken away some features (x, curses, etc).

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 4.0pl80.
- provide chessprogram, don't require xboard.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
